MVC4 in Orchard

Topics: Core
Aug 30, 2012 at 2:12 PM

1) Why orchard use MVC4 from lib folder? MVC4 was officialy released.

2) Why everyone in web.configs are used old library versions names ex System.Web.Mvc, Version=3.0.0.0?

Maybe I could try to upgrade solutions? Or is it deeper problem?

Coordinator
Sep 13, 2012 at 12:27 AM

Because we include all of our dependencies. This way you don't need to install a gazillion things before you install Orchard. If you have ASP.NET 4, you're good to go.

References to v3 are not a problem because they are remapped to 4.